package com.ffii.core.common.mobile.dao;

import java.util.Optional;

import com.ffii.core.common.mobile.entity.AccessToken;
import com.ffii.core.support.AbstractDao;

/** @author Fung */
public interface AccessTokenDao extends AbstractDao<AccessToken, Integer> {
  public Optional<AccessToken> findByDeviceIdAndAccessToken(String deviceId, String accessToken);

  public int deleteByDeviceIdAndAccessToken(String deviceId,String accessToken);

  public int deleteByUsername(String username);
}
